Einleitung

Der 7+ Taskbar Tweaker erlaubt die Konfiguration verschiedener Aspekte der Windows-Taskleiste.

Die meisten bereitgestellten Konfigurationsoptionen können nicht über die Taskleistenoptionen oder die Windows-Registrierung angepasst werden.

Der Tweaker wurde für Windows 7, Windows 8, Windows 8.1, und Windows 10 entwickelt.

Links

  • Internetseite
  • Bug/Feature-Tracker
  • Spenden

Übersetzung

Übersetzt aus dem Englischen von Daniel Reiners erstmals im Dezember 2012.

Copyright © 2009-2017 by RaMMicHaeL. All Rights Reserved.


Änderungsprotokoll (Englisch)

Einleitung ››

v5.4 (May 19, 2017)

  • Added support for the Windows 10 Fall Creators Update (build 16299).
  • The tweaker now shows a warning message for unsupported Windows 10 builds.
  • Added an advanced Mouse Button Control option to alphabetically sorts group items.
  • When the "Control volume when mouse is over: The notification area" option is on, it is being activated over the clock of secondary monitors now, too.
  • Windows 10: Double/middle clicking the taskbar opens the start menu on the correct monitor.
  • Windows 10 and the no_start_btn_spacing advanced option: clicking on the empty corner now opens the start menu.
  • Fixed the "Combine grouped buttons" option when switching virtual desktops on Windows 10.
  • Fixed a bug with the drag_towards_desktop advanced option, which could activate unrelated windows.
  • Added a Spanish help file, by Leonel Mira (carpediemando.890m.com).
  • Added a French help file, by Wullfk (easy-pc.org).

v5.3 (May 19, 2017)

  • Added support for the Windows 10 Creators Update (build 15063).

I want to thank everybody who donated for the porting effort : Steve Ellmore, Mark Light, Joe Gores, and other contributors .

  • Added the scroll_no_wrap advanced option, which disables the wrapping around behavior for the "cycle between taskbar buttons" option.
  • Fixed a bug in Windows 10 Anniversary Update, which could cause several options to work incorrectly.
  • Fixed taskbar items reordering while applying tweaks in several cases.
  • Fixed for Mouse Button Control advanced options: custom right click actions could cause the taskbar context menu to show up.
  • Fixed a bug which caused the tray_icons_padding advanced option to get reset sometimes.
  • Added Bulgarian translation, by Radoslav Nenchovski (Радослав Ненчовски).
  • Added Hebrew translation, by Gil Bar-Shlomo (גיל בר-שלמה).
  • Updated the Polish help file.

v5.2.1 (September 10, 2016)

  • Hotfix: disabling the thumbnail preview on hover caused the preview to not be displayed when clicking on a combined taskbar group.

v5.2 (September 9, 2016)

  • Added support for the Windows 10 Anniversary Update (build 14393).
  • Added the following supported values for the Mouse Button Control advanced options:

volumeicon - allows to customize actions for volume tray icon click.

showdesktop - allows to customize actions for the Show Desktop button.

  • Implemented the virtual_desktop_order_fix advanced option for Windows 10. The option preserves the order of the taskbar buttons when switching between virtual desktops.
  • Implemented the tray_icons_padding advanced option for Windows 10.
  • Fixed the multipage_wheel_scroll advanced option, which didn't work when the mouse was over the empty space of the taskbar.
  • Updated tray icon, with anti-aliasing and better support for high DPI.

The icon was designed by Daniel Beardsmore. Thanks!

  • Added Slovak translation, by Vladimír Kubala.
  • Other minor fixes and improvements.

v5.1 (December 4, 2015)

  • Added support for The First Major Update of Windows 10 (build 10586).
  • Fixed rearranging of Taskbar Inspector items when the scrollbar is visible.
  • Windows 10: when using the disable_topmost option, bring the taskbar to the foreground when the Windows key is pressed.
  • Improved the English dialog for high DPI.
  • Fixed: when closing a window with a middle click, if the window had an "are you sure?" message, the tweaker didn't always bring it to the foreground.

v5.0 (August 22, 2015)

  • Windows 10 support.

I want to thank everybody who donated for the porting effort : Mike T, Fraser Ntukula , and other contributors .

  • Fixed compatibility with the KB3072318 update for Windows 8.1.
  • Improved compatibility of pinned items with the option to disable grouping.
  • Added the disable_tray_icons_drag advanced option, which disables the drag operation of notification area items, i.e. makes reordering of items impossible.
  • Added the w10_large_icons advanced option, which changes taskbar icon sizes from 24x24 to 32x32 on Windows 10.
  • Added the cycle_same_virtual_desktop advanced option, which tweaks the Left click on combined item option to cycle only through windows that belong to the current virtual desktop.
  • Added a new option for the disable_taskbar_transparency advanced option, which allows to use the basic theme taskbar color (Windows 7).
  • Added Mouse Button Control options to maximize/restore a taskbar item, and to maximize/restore all buttons of a group.
  • Improved the no_width_limit advanced option to work for multiple monitors.
  • Fixed the disable_items_drag advanced option, which caused the thumbnail previews to not appear.
  • Fixed: when the disable_topmost advanced option was on, the start button could get stuck in hovered state on Windows 7.
  • A custom icon ("7+ Taskbar Tweaker.ico", if exists) is now applied for the main window as well.
  • Korean translation, by Metrics Spec.

v4.5.10 (April 7, 2015)

  • Added an automatic update feature, which can be enabled from the settings dialog.
  • Added the disable_items_drag advanced option, which disables the drag operation of taskbar items on the task list.
  • The tweaker now prevents explorer from changing AppIDs of folder windows when the current AppID is a random AppID (random_group_xxxxxxxx). This does not work if the folder window runs in a separate process.
  • Fixed: sometime decombining didn't work when taskbar animations are disabled.
  • Fixed an issue of the MinHook library, which could prevent the tweaker from working.
  • Fixed several crashes.

v4.5.8 (February 27, 2015)

  • Quick fix: fixed an incompatibility with several other tweaking programs.

v4.5.7 (February 26, 2015)

  • Added the no_start_btn_spacing advanced option, which allows to control the spacing size when the start button is hidden.
  • Added a new advanced option, right_drag_toggle_labels, which was always turned on with the "Drag within/between groups using right mouse button" option.
  • Added a new advanced option, show_desktop_on_hover, which makes the taskbar to show desktop when a file is dragged over it (similar to Windows XP).
  • Improved the disable_topmost advanced option in Windows 7.
  • If the file "7+ Taskbar Tweaker.ico" exists, it's used as a tray icon.
  • Finnish translation of the program and the help file, by Viligg.
  • Small fixes.

v4.5.6 (November 22, 2014)

  • Added the "disable_taskbar_transparency" advanced option.
  • Added the "always_show_tooltip" advanced option, which forces a tooltip to be shown on hover, even if the text fits the taskbar button.
  • Improved startup time for the case when only specific, lightweight options are used.
  • Fixed a possible crash.

v4.5.5 (October 31, 2014)

  • Made 7+ Taskbar Tweaker compatible with the 7+ Taskbar Tweaking Library .
  • Mouse Button Control: added options to minimize/close all items of a button group.
  • Fixed a crash with the "Middle click -> Minimize" option, which wasn't completely fixed in v4.5.4.
  • Improved the "disable_topmost" advanced option.

v4.5.4 (October 4, 2014)

  • Fixed the "Combining" option.
  • Fixed a crash with the "Middle click -> Switch to", "Middle click -> Minimize" options.
  • Fixed: the combination of the "Middle click" and "Left click on combined item" options didn't work correctly.

v4.5.3 (October 2, 2014)

  • Fixed a crash (Windows 8.1 Update 1 was not affected).

v4.5.2 (October 1, 2014)

  • Improved support for taskbar items of Metro applications.
  • Improved the disable_topmost advanced option.
  • Implemented an additional configuration setting for the disable_topmost advanced option, which allows to configure maximized windows to overlap the taskbar.
  • Improved the "Decombine: Active group" option when interacting with the task list (e.g. with a middle click).
  • Improved compatibility of Mouse Button Control advanced options with the following options: Pinned items -> Open with double click, Left click on combined item -> Cycle through windows.
  • Fixed: the scroll_maximize_restore advanced option didn't work correctly for IE (and probably for other programs which use multiple thumbnail previews for a single window).
  • Fixed a crash.

v4.5.1 (June 27, 2014)

  • New advanced option: disable_topmost, which allows you to make the taskbar non-topmost.
  • New advanced option: multirow_equal_width, which forces the items on every row of a multirow taskbar to have the same width.
  • New advanced option: scroll_maximize_restore, which extends the "minimize/restore when mouse is over..." option to switch between minimize/restore/maximize.
  • Fixed a crash for the drag_towards_desktop=5 advanced option on Windows 8.1 Update 1.

v4.5 (May 10, 2014)

  • Windows 8.1 Update 1 support.

I want to thank everybody who donated for the porting effort : Charles George, Justin Shillock (Platypus Man), and other contributors .

  • Improved compatibility with the "focus follows mouse" accessibility option.
  • Fixed a bug which prevented the thumbnail preview from closing under certain circumstances.
  • Fixed a rare bug when the shift or ctrl key became stuck.
  • Fixed: the main dialog didn't look correctly with the classic theme (Windows 7) for the following languages: Czech, German, Italian, Polish, Russian.
  • Fixed: explorer could crash under certain circumstances.

v4.4.6 (February 22, 2014)

  • Fixed the list_reverse_order advanced option for cases where the list contains lots of items and scrolling arrows are added.
  • Fixed, when using mouse wheel volume control: if a dialog other than the volume control is open (e.g. the Volume Mixer), mouse scroll didn't bring it to front.
  • Added a short delay before checking for an update. This might have fixed a crash which occurred when the PC woke up.
  • Fix: after clicking on the taskbar, volume control was launched even if the mouse is not inside the taskbar.
  • Fix: some windows couldn't be restored from the minimized state.
  • Japanese translation, by milksizegene.

v4.4.5 (January 5, 2014)

  • Hotfix: tray clock wasn't responsive to mouse hover events.

v4.4.4 (January 4, 2014)

  • New advanced option: list_reverse_order, which allows to reverse the displaying order of items in the preview list. To be used with the option Hovering -> List.
  • New advanced option: w7_show_desktop_classic_corner, which fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.
  • Mouse Button Control: options to cycle through windows by clicking the empty space of the taskbar.
  • When the Task Switcher window (Alt+Tab) is open, mouse scroll events aren't being captured by the taskbar.

v4.4.3 (December 17, 2013)

  • Fixed: on Windows 8/8.1 64-bit, clicking on a decombined button opens thumbnail preview instead of switching to the corresponding window.
  • Fixed: the no_width_limit advanced option didn't work on Windows 7 if the start button was hidden.

v4.4.2 (December 15, 2013)

  • New advanced option: tray_icons_padding, which allows to customize the horizontal padding between icons in the notification area.
  • New advanced option: no_width_limit, which removes the minimum width limitation of the vertical taskbar.
  • When the option to open pinned items with a double click is turned on, it's now possible to launch applications with Shift+click as well.
  • Advanced options now have more priority than regular options, e.g. if you customize the same key in the main window and in the Advanced Options Editor, the latter will apply.
  • The installer launches the tweaker as non-elevated, even if the installer itself was run as administrator.
  • Bug fixes.

v4.4.1 (November 29, 2013)

  • New advanced option: show_desktop_button_size, which allows to customize the size of the "Show desktop" button.
  • Mouse Button Control: an option to terminate the process associated with a specific window.
  • The Advanced Options Editor is now modeless, i.e. doesn't block the main window.
  • Fixed a serious bug which could lead to a crash or a failure to initialize if both:

1. More than one instance of the tweaker is being used on the PC (e.g. multiuser environment).

2. One or more of the "Mouse wheel" options is being used.

  • Minimal support for SysInternals Desktops.

v4.4 (November 12, 2013)

  • New option: Hide the Start button.
  • New option: Show Start menu/Start screen on double/middle click on the empty space.

This option is also available for the Mouse Button Control and Keyboard Shortcuts advanced options.

  • Advanced Options Editor. (See Advanced options in help file for more details.)
  • New advanced option: drag_towards_desktop, which was available as a check box.

It's not available from the main interface anymore, but the new option provides more customization.

  • Mouse Button Control: an option to show thumbnail previews.
  • Fixed: the window background was shown in high contrast mode.
  • Fixed: volume control sometimes appeared in a wrong location.

v4.3.1 (October 18, 2013)

  • New registry option that allows to hide the start button (currently works only for Windows 8.1).
  • New registry option that allows to scroll a multipage taskbar with the mouse wheel.
  • Improved tooltips on hover: removed delay after the first tooltip.
  • Fixed: Taskbar Inspector doesn't overlap the taskbar when it's set to auto-hide.
  • Arabic translation, by Cyb3r.

v4.3 (October 4, 2013)

  • Windows 8.1 support.
  • Taskbar Inspector: you can use Ctrl+C to copy selected items as text.
  • New registry options, scroll_reverse_cycle and scroll_reverse_minimize, which allow you to reverse the mouse wheel direction for certain tweaks.
  • Fixed a bug that caused taskbar icons to flicker for certain configuration when the taskbar is full.
  • Fixed a bug that could cause explorer to hang when Taskbar Inspector is open.
  • Fixed: Mouse Button Control options didn't work for X1/X2 mouse buttons, and sometimes didn't work correctly for double clicks.

v4.2.7 (July 18, 2013)

  • Labels on thumbnails are now displayed for items that were set to never show labels on the taskbar.
  • Added a new registry option, always_show_thumb_labels, which makes labels on thumbnails always visible.
  • Greek translation, by George Georgiou (Γιώργος Γεωργίου).

v4.2.6 (June 02, 2013)

  • Improved closing with a middle click - if a notification is shown before closing, the window is brought to the foreground.
  • Improved handling of hung windows.
  • Fixed a possible crash caused by the "When not grouping, place new items next to the existing ones" option.

v4.2.5 (May 14, 2013)

  • Added Keyboard Shortcuts advanced options. See help for more details.
  • Improved reordering between groups using the right mouse button.
  • When closing a window with a middle click, allow it to gain focus.
  • Fixed the tooltip volume control registry option.
  • Added access key shortcuts (Alt+X) to the tray icon right click menu.

v4.2.4 (April 30, 2013)

  • Made volume control compatible with the Volume Mixer.
  • Reverted a fix for Windows 7, which appears to be incompatible with other apps such as QTTabBar (now available as a registry option).
  • Fix: the option to not show jump list when dragging made thumbnails appear in an incorrect position.

v4.2.3 (April 26, 2013)

  • Registry option: fix taskbar buttons rearrangement caused by hung windows. Enabled by default.

More information .

  • Turkish translation of the help file, by Fatih Fırıncı.
  • Fix: use a more reliable injection method. Previously, the tweaker could silently fail to inject.
  • Fix: wait until explorer is completely initialized before attempting to inject.

v4.2.2 (April 16, 2013)

  • Fixed a serious bug that could lead to an explorer crash when Taskbar Inspector is open.
  • Turkish translation update.

v4.2.1 (April 14, 2013)

  • Fix: apply correct width when showing seconds on the tray clock. Mostly affects users of classic theme with small icons preference.
  • Registry option: fix clock width, which is wider than it should be, when using small icons.

v4.2 (April 13, 2013)

  • New option: Display seconds on the tray clock.
  • New option: Don't show jump list when dragging a taskbar item towards the desktop.
  • Simplified Chinese translation of the help file, by horan.
  • Improved the "decombine active group"/"decombine on mouse hover" options compatibility with jump lists.
  • Improved the injection method.
  • Small fixes.

v4.1.8 (April 1, 2013)

  • Quick fix: clicking the clock doesn't work on Windows 7.

v4.1.7 (April 1, 2013)

  • Macedonian translation, by Милан Велковски.
  • Small fixes.

v4.1.6 (March 23, 2013)

  • Right Click -> Standard window menu: Applies for keyboard as well (Windows + T -> Menu key).
  • Mouse Button Control: Fixed double click control (See help for more information about the option).

v4.1.5 (February 22, 2013)

  • Serbian translation, by ozzii (оззии).

v4.1.4 (February 9, 2013)

  • Ukrainian translation, by Ura Chorniy (Юра Чорний).
  • Czech translation, by Drusilla Peterek and Stepan Hasler.
  • Polish translation of the help file, by Artur Łukasik (MAURYCY).
  • Latvian, Polish, and Russian translation updates.

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space double/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on it's thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thumbnails for a single window (like IE and it's thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Verbesserungen (Tweaks)

Die verfügbaren Verbesserungen sind in folgende drei Kategorien eingeteilt:

  • Taskleisten-Elemente

Kontrolliert Einstellungen in Bezug auf die Taskleisten-Elemente, wie das Klicken mit der mittleren/rechten Maustaste, dem Überfahren mit dem Mauszeiger und dem Ablegen per Drag & Drop.

  • Gruppieren und Kombinieren

Deaktiviert die Gruppierung, erlaubt das Verschieben von Taskleisten-Buttons zwischen Gruppen, erzwingt oder deaktiviert das Kombinieren und noch weiteres mehr.

  • Andere Taskleisten-Optionen

Stellt Optionen für die Verwendung des Mausrads, das Klicken auf den Taskleisten-Freiraum und noch einiges mehr bereit.

Wichtiger Hinweis

In den Windows-Optionen zum Einstellen der Taskleisteneigenschaften wird der Begriff "Gruppieren" anders verwendet. Das, was in den Windows-Einstellungen unter "Gruppieren" verstanden wird, wird im 7+ Taskbar Tweaker als "Kombinieren" definiert. Weitere Informationen zu den Begrifflichkeiten finden Sie unter Gruppieren und Kombinieren .


Taskleisten-Elemente

Verbesserungen (Tweaks) ››

Begrifflichkeiten

Optionen

  • Rechtsklick
  • Mittelklick
  • Ablegen (per Drag & Drop)
  • Überfahren mit dem Mauszeiger
  • Miniaturansichten
  • Angeheftete Elemente


Rechtsklick

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt das Menü fest, das nach einem Klick mit der rechten Maustaste auf ein Taskleisten-Element angezeigt wird:

  • Sprungliste (Standard)

  • Standard-Fenstermenü

Hinweis

Halten Sie die Umschalttaste gedrückt, während Sie mit der rechten Maustaste klicken, um das jeweils andere Menü anzuzeigen.


Mittelklick

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt die Aktion fest, die nach einem Klick mit der mittleren Maustaste auf ein Taskleisten-Element ausgeführt wird:

  • Neue Instanz öffnen (Standard)
  • Fokus - Das Fenster wird in den Vordergrund geholt und fokussiert
  • Minimieren
  • Schließen


Ablegen (per Drag & Drop)

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt die Aktion fest, die nach dem Ablegen einer Datei auf ein Taskleisten-Element ausgeführt wird:

  • Anheften (Standard)

  • Öffnen mit

Hinweis

Halten Sie die Umschalttaste gedrückt, während Sie mit der Maus über ein Taskleisten-Element fahren, um nach dem Ablegen die jeweils andere Aktion auszuführen.


Überfahren mit dem Mauszeiger

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Legt die Vorschau fest, die beim Überfahren eines Taskleisten-Elements mit dem Mauszeiger angezeigt wird:

  • Miniaturansichten zeigen (Standard)

  • Liste

  • Tooltip

  • Nichts anzeigen


Miniaturansichten

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Ziehen, um neu zu ordnen

Erlaubt das Ziehen und Verschieben der Miniaturansichten bei gedrückter linker Maustaste, um deren Anordnung zu verändern.

Hinweis

Normalerweise verändert die Umsortierung der Miniaturansichten auch die Anordnung der Taskleisten-Buttons, jedoch nicht immer. Wenn eine Anwendung eigene Miniaturansichten verwendet (wie der Internet Explorer, der Miniaturansichten als Tab-Vorschau benutzt), sind die Miniaturansichten und die Taskleisten-Buttons nicht verknüpft, sodass die Umsortierung des einen nicht die Anordnung des anderen verändert.

Linksklick auf aktive Miniaturansicht minimiert das Fenster

Falls aktiviert, wird durch das Klicken auf die Miniaturansicht des aktiven Fensters das Fenster minimiert.


Angeheftete Elemente

Verbesserungen (Tweaks) ›› Taskleisten-Elemente ››

Keine Extra-Lücke zwischen Elementen

Verringert den Freiraum zwischen den angehefteten Elementen der Taskleiste.

Vorher

Nachher

Hinweis

Diese Option hat keine Wirkung, wenn die Taskleiste vertikal ist.

Öffnen mit Doppelklick

Führt dazu, dass angeheftete Elemente erst nach einem Doppelklick (anstatt eines einzelnen Klicks) gestartet werden.

Auch ein einzelner Klick kann verwendet werden, wenn die Umschalttaste gedrückt ist.

Dies verhindert ein unbeabsichtigtes Klicken auf angeheftete Elemente und ungewolltes Starten von Programmen.


Gruppieren und Kombinieren

Verbesserungen (Tweaks) ››

Begrifflichkeiten

Optionen

  • Gruppieren
  • Kombinieren
  • Linksklick auf gruppiertes Element


Gruppieren

Verbesserungen (Tweaks) ›› Gruppieren und Kombinieren ››

Seit Windows 7 hat jedes Fenster eine Anwendungs-ID. Wenn sie nicht von der Anwendung definiert ist, wird sie standardmäßig durch den Pfad des Anwendungssymbols bestimmt.

Standardmäßig werden die Taskleisten-Buttons nach der Anwendungs-ID der Fenster gruppiert. Durch diese Option lässt sich das Verhalten verändern:

  • Gruppieren: Nach Anwendungs-ID (Standard)

  • Nicht Gruppieren

Hinweis

Es ist möglich das Gruppieren nach Anwendungs-ID durch den Taskleisten-Inspektor zu steuern.

Neue Instanz benachbart öffnen

Wenn das Gruppieren deaktiviert ist, erscheinen neu erstellte Taskleisten-Buttons am Ende der Taskleiste. Diese Option bewirkt, dass sie neben den Elementen erscheinen, mit denen sie gruppiert werden würden, wäre das Gruppieren aktiviert.

Das passiert zum Beispiel standardmäßig, wenn man ein zweites Editor-Fenster öffnet:

Wenn das Gruppieren deaktiviert ist, sieht das Ergebnis so aus:

Wenn das Gruppieren deaktiviert und diese Option ausgewählt ist, passiert folgendes:

Gruppieren: Nicht bei angehefteten Elementen

Jedes angeheftete Element hat eine Anwendungs-ID, genau wie die Taskleisten-Buttons. Standardmäßig wird ein angeheftetes Elemente mit derselben Anwendungs-ID wie ein neu erstellter Taskleisten-Button durch diesen ersetzt. Diese Option führt dazu, dass der neue Taskleisten-Button am Ende der Taskleiste erstellt wird und das angeheftete Element erhalten bleibt.

Nehmen wir zum Beispiel an, der Editor wäre ein angeheftetes Element:

Standardmäßig würde ein neu geöffnetes Editor-Fenster folgendes bewirken:

Wenn diese Option ausgewählt ist, sieht das Ergebnis so aus:

Hinweis

Es ist möglich das Gruppieren nach Anwendungs-ID mit angehefteten Elementen durch den Taskleisten-Inspektor zu steuern.

Verschieben innerhalb Gruppe/n mit rechter Maustaste aktivieren

Diese Option erlaubt das Verschieben eines Taskleisten-Buttons durch Klicken und Ziehen mit der rechten Maustaste innerhalb und zwischen Gruppen:

  • Wird ein Taskleisten-Button innerhalb einer Gruppe verschoben, ändert sich seine Position innerhalb dieser Gruppe.
  • Wird ein Taskleisten-Button auf ein anderes Taskleisten-Element gezogen, bilden sie eine Gruppe.
  • Wird ein Taskleisten-Button auf den Taskleisten-Freiraum gezogen, bildet er eine eigene, neue Gruppe.


Kombinieren

Verbesserungen (Tweaks) ›› Gruppieren und Kombinieren ››

Hinweis zu Beginn
Da die Definition der Begrifflichkeiten zwischen Windows und dem 7+ Taskbar Tweaker variieren, sind die Begrifflichkeiten nach Windows-Definition im folgenden Abschnitt in grün dargestellt. Weitere Informationen zu den Begrifflichkeiten finden Sie unter den Punkten Verbesserungen (Tweaks) sowie Gruppieren und Kombinieren .

Ob eine Gruppe von Taskleisten-Buttons kombiniert wird oder nicht, hängt von den Windows-Taskleisteneinstellungen ab.

Durch diese Option können Sie Änderungen vornehmen:

  • Taskleisten-Einstellung (Standard)

Immer gruppieren, Beschriftungen ausblenden:

Nie gruppieren:

  • Gruppierte Elemente kombinieren

Immer gruppieren, Beschriftungen ausblenden:

Entspricht dem Standardverhalten.

Nie gruppieren:

  • Gruppierte Elemente nicht kombinieren

Immer gruppieren, Beschriftungen ausblenden:

Nie gruppieren:

Entspricht dem Standardverhalten.

Hinweise

  • Diese Option hat keine Auswirkung, wenn "Gruppieren, wenn Taskleiste voll ist" in den Taskleisteneigenschaften ausgewählt ist.
  • Es ist möglich das Kombinieren nach Anwendungs-ID durch den Taskleisten-Inspektor zu steuern.

Kombinierung aufheben:

Diese Option bringt kombinierte Gruppen dazu die Kombinierung bei einem bestimmten Ereignis aufzuheben:

  • Aktive Gruppe

Wenn ein Fenster einer kombinierten Gruppe den Fokus bekommt, wird die Kombinierung aufgehoben.

  • Beim Überfahren mit dem Mauszeiger

Wenn eine kombinierte Gruppe mit dem Mauszeiger überfahren wird, wird die Kombinierung aufgehoben.

...und Beschriftungen anzeigen

Wenn diese Option ausgewählt ist, wird bei den obigen Optionen zur Aufhebung der Kombinierung zusätzlich noch die Beschriftung der Gruppe eingeblendet.


Linksklick auf kombiniertes Element

Verbesserungen (Tweaks) ›› Gruppieren und Kombinieren ››

Definiert die auszuführende Aktion nach einem Linksklick auf eine kombinierte Gruppe:

  • Miniaturansicht zeigen (Standard)
  • Zwischen Fenstern wechseln
    Setze den Fokus bei jedem Linksklick auf das nächste Fenster dieser Gruppe.
  • Öffne letztes Fenster wenn inaktiv, andernfalls öffne Miniaturansichten

Wenn kein Fenster der kombinierten Gruppe den Fokus hat, wechsle zum zuletzt fokussierten Fenster dieser Gruppe. Hat bereits ein Fenster dieser Gruppe den Fokus, zeige die Miniaturansichten an.

Note

Hold Ctrl while left clicking a combined group to get the other action.


Andere Taskleisten-Optionen

Verbesserungen (Tweaks) ››

Optionen

  • Mausrad
  • Doppel-/Mittelklick auf Taskleisten-Freiraum
  • Sonstiges


Mausrad

Verbesserungen (Tweaks) ›› Andere Taskleisten-Optionen ››

Zwischen Fenstern wechseln

Wenn ausgewählt, führt das Scrollen des Mausrads, während sich der Mauszeiger über der Liste der Taskleisten-Elemente befindet, zum Wechseln zwischen den Fenstern.

Minimierte Fenster überspringen

Wenn ausgewählt, werden minimierte Fenster beim Fensterwechseln mit dem Mausrad übersprungen.

Minimieren/Wiederherstellen beim Zeigen mit dem Mauszeiger auf die...

Diese Option ermöglicht das Minimieren/Wiederherstellen eines Fensters durch Scrollen mit dem Mausrad, wenn sich der Mauszeiger über dem entsprechenden Element befindet:

  • Elemente der Taskleiste
  • Miniaturansichten

Lautstärke regeln beim Zeigen mit dem Mauszeiger auf:

Wenn ausgewählt, führt das Scrollen mit dem Mausrad während sich der Mauszeiger über der angegebenen Region befindet zum Öffnen des Lautstärkereglers:

  • Die Taskleiste
  • Den Infobereich

Zusatzfeature

Wenn eine der beiden obigen Optionen ausgewählt ist, wird bei einem Mittelklick auf das Symbol der Systemlautstärke im Infobereich die Stummschaltung der Systemlautstärke aktiviert/deaktiviert.


Doppel-/Mittelklick auf Taskleisten-Freiraum

Verbesserungen (Tweaks) ›› Andere Taskleisten-Optionen ››

Diese Optionen beziehen sich auf den Freiraum am Ende der Taskleiste, wo sich (noch) keine Taskleisten-Buttons befinden:

Standardmäßig hat ein Mittel- oder Doppelklick auf den Taskleisten-Freiraum keine Auswirkung.

Durch diese Option können Sie eine auszuführende Aktionen wählen:

  • Nichts (Standard)
  • Desktop anzeigen
  • Strg + Alt + Tab
  • Task-Manager
  • Taskleisten-Inspektor
  • Systemlautstärke stummschalten
    Ermöglicht das Umschalten der Stummschaltung der Systemlautstärke.
  • Taskleistenausblendung umschalten
    Ermöglicht das Umschalten zwischen der automatischen Ausblendung der Taskleiste und dem dauerhaften Anzeigen.
  • Win+Tab / Ctrl+Win+Tab
  • Startmenü/Startbildschirm


Sonstiges

Verbesserungen (Tweaks) ›› Andere Taskleisten-Optionen ››

"Start"-Button verbergen

Der "Start"-Button wird ausgeblendet.

Um das Startmenü in Windows 7 zu öffnen, in die Ecke klicken, in der sich der "Start"-Button vorher befand.

In Windows 8.1 wird der Startbildschirm geöffnet, wenn in die unterste, linke Ecke des Bildschirms geklickt wird.

Es ist klar, dass diese Option in Windows 8 keinen Effekt hat, da standardmäßig kein "Start"-Button vorhanden ist.

Vorher

Nachher

"Desktop anzeigen"-Button verbergen

Der "Desktop anzeigen"-Button am Ende der Taskleiste wird ausgeblendet und der gebrauchte Platz freigegeben.

Vorher (Gedrückt)

Nachher

Sekunden der Windows-Uhr anzeigen

Die Windows-Uhr in der Taskleiste zeigt zusätzlich zu Stunden und Minuten auch noch die Sekunden an.

Etwas Taskleisten-Freiraum erhalten

Der 7+ Taskbar Tweaker hat Optionen für den Doppel-/Mittelklick auf den Taskleisten-Freiraum . Diese funktionieren auch wunderbar, es sei denn, die Taskleiste ist voll. Durch diese Option wird ein kleines Quadrat am Ende der Liste der Taskleisten-Elemente freigehalten, in dem jeder Zeit ein Doppel-/Mittelklick ausgeführt werden kann.

Vorher

Nachher


Taskleisten-Inspektor

Der Taskleisten-Inspektor ist im Grunde eine Liste der Taskleisten-Elemente, so nach Anwendungs-ID gruppiert, wie sie auf der Taskleiste angezeigt werden.

Hinweis

Halten Sie Strg + Umschalttaste gedrückt während Sie den Taskleisten-Inspektor öffnen, bleibt er auch geöffnet, wenn er den Fokus verliert. Um ihn wieder zu schließen, drücken Sie die Escape-Taste (Esc), wenn er den Fokus besitzt.

Anwendungs-IDs

Jedes nicht eingerückte Element mit einem vorangestellten pfeilartigen Symbol stellt eine Anwendungs-ID dar. Untergeordnete Kind-Elemente können vorhanden sein. Diese Elemente sind eingerückten und repräsentieren die Taskleisten-Buttons.

Bei einem angehefteten Element hat die Anwendungs-ID keine Kind-Elemente.

Bei einem Taskleisten-Button hat die Anwendungs-ID genau ein Kind-Element.

Bei einer Gruppe von Taskleisten-Buttons hat die Anwendungs-ID mehrere Kind-Elemente.

Durch einen Doppelklick auf eine Anwendungs-ID werden alle Kind-Elemente markiert.

Durch einen Rechtsklick auf eine Anwendungs-ID (wenn nur diese Anwendungs-ID markiert ist) werden die Anwendungs-ID-Optionen eingeblendet:

  • Beschriftung anzeigen
  • Gruppieren

Erfahren Sie hier mehr über das Gruppieren.

  • Angeheftetes Element gruppieren

Erfahren Sie hier mehr über das Gruppieren angehefteter Elemente.

  • Kombinieren

Erfahren Sie hier mehr über das Kombinieren.

  • Gruppenelemente sortieren (Nur wenn zur Anwendungs-ID mehrere Kind-Elemente existieren.)

Die Kind-Elemente werden alphabetisch sortiert.

Taskleisten-Buttons

Die eingerückten Elemente in der Liste repräsentieren Taskleisten-Buttons.

Das Ziehen und Verschieben eines Elements ordnet es innerhalb der Gruppe neu an.

Durch einen Rechtsklick auf das Element eines Taskleisten-Buttons werden die Fenster-Optionen eingeblendet:

  • Anwendungs-ID ändern

Ändert die Anwendungs-ID des Fensters des markierten Taskleisten-Buttons.

Zusätzlich zu den verfügbaren Anwendungs-IDs gibt es zwei besondere Optionen:

    • random_group_[Nummer]

Ändert die Anwendungs-ID des Fensters in eine zufällig vom Tweaker generierte Anwendungs-ID.

Taskleisten-Buttons dieser Zufalls-Anwendungs-IDs werden immer gruppiert, auch wenn das Gruppieren deaktiviert ist. Dies macht es leicht mehrerer Elemente auszuwählen, um sie zu gruppieren.

    • (zurücksetzten)

Setzt die Anwendungs-ID des Fensters zurück auf die Standard-Anwendungs-ID des Prozesses.

  • Überlappen (Nur wenn mehrere Elemente ausgewählt sind)
  • Horizontal anordnen (Nur wenn mehrere Elemente ausgewählt sind)
  • Vertikal anordnen (Nur wenn mehrere Elemente ausgewählt sind)
  • Wiederherstellen
  • Minimieren
  • Maximieren
  • Schließen


Einstellungen

Beim Systemstart ausführen

Legt fest, ob der Tweaker beim Start von Windows ausgeführt wird.

Hinweis

Diese Einstellung erstellt den Schlüssel 7 Taskbar Tweaker in der Windows-Registrierung unter

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

Der Wert beinhaltet den Pfad zur ausführbaren Datei des Tweakers, gefolgt vom -hidewnd Kommandozeilenparameter.

Auf Aktualisierungen prüfen

Wenn diese Option ausgewählt ist, prüft der Tweaker automatisch, ob Aktualisierungen zur Verfügung stehen.

Steht eine Aktualisierung bereit, zeigt das Symbol des Tweakers im Infobereich einen grünen Pfeil und eine Sprechblase erscheint.

Ein Klick auf die Sprechblase öffnet ein Update-Fenster, das es ermöglicht, mit nur einem Klick auf die neuste Version zu aktualisieren.

Außerdem kann das Änderungsprotokoll (in Englisch) angesehen bzw. die Benachrichtigung für diese bestimmte Version deaktiviert werden.

Hinweis

Der Tweaker prüft alle 24 Stunden, ob eine Aktualisierung zur Verfügung steht.

Automatisch updaten

Wenn ausgewählt, führt der Tweaker Updates automatisch im Hintergrund durch, sobald sie verfügbar sind.

Kein Symbol im Infobereich anzeigen

Wenn ausgewählt, wird das Symbol des Tweaker im Infobereich verborgen.

Zum Anzeigen des Hauptfensters, wenn das Symbol im Infobereich verborgen ist, starten Sie den Tweaker.

Um den Tweaker zu beenden, machen Sie zunächst das Symbol im Infobereich wieder sichtbar.

Linksklick auf Symbol im Infobereich öffnet: ...

Ermöglicht die Auswahl des zu öffnenden Tweaker-Fensters beim Linksklick auf das Symbol im Infobereich:

  • 7+ Taskbar Tweaker
  • Taskleisten-Inspektor

Sprache: ...

Hier können Sie die Sprache der Benutzeroberfläche wählen.

Hinweis

Um Genaueres zur Übersetzung des Tweakers in Ihre Sprache zu erhalten, lesen Sie das online FAQ .


Erweiterte Optionen

Der 7+ Taskbar Tweaker verfügt über einen Editor für erweiterte Optionen, mit dem Sie das Programm Ihren Bedürfnissen anpassen können.

Der Editor kann über das Rechtsklick-Menü des Symbols im Infobereich oder über das Systemmenü des Hauptfensters geöffnet werden.


OptionsEx

Erweiterte Optionen ››

Mit diesen erweiterten Optionen können Sie den Tweaker tunen und Ihren Bedürfnissen anpassen. Außerdem stehen Bug-Fixes und kleinere, neue Features zur Verfügung.

Registrierungsschlüssel und Werte

Schlüsselname

Schlüsselwert

always_show_thumb_labels

Standardmäßig werden die Beschriftungen oberhalb der Miniaturansichten nur angezeigt, wenn die Beschriftung des Taskleisten-Buttons ausgeblendet ist. Durch diese Option werden die Beschriftungen oberhalb der Miniaturansichten immer angezeigt, egal, ob die Beschriftung des Taskleisten-Buttons ausgeblendet ist oder nicht.

0 - Deaktiviert (Standard)

1 - Aktiviert

always_show_tooltip

Standardmäßig wird beim Überfahren eines Taskleisten-Elements mit dem Mauszeiger nur ein Tooltip angezeigt, wenn der Text nicht in den Button passt. Diese Option erzwingt, dass der Tooltip immer angezeigt wird.

0 - Deaktiviert (Standard)

1 - Aktiviert

cycle_same_virtual_desktop

Fixes the Left click on combined item option to cycle only through windows that belong to the current virtual desktop. The option affects only Windows 10, until Windows 10 Anniversary Update, where the bug was fixed.

0 - Disabled (default)

1 - Enabled

disable_items_drag

Diese Option deaktiviert die Ziehen-Operation für Elemente auf der Taskleiste. Ein Umsortieren der Elemente ist nicht länger möglich. Auch die Sprungliste erscheint nicht mehr, wenn ein Element in Richtung Desktop gezogen wird.

0 - Deaktiviert (Standard)

1 - Aktiviert

disable_taskbar_transparency

Diese Option ermöglicht es, die Taskleisten-Transparenz zu deaktivieren.

0 - Keine Änderung (Standard)

1 - Deaktiviert Transparenz

2 - Deaktiviert Transparenz und verwende Standard-Design für die Taskleisten-Farbe (Windows 7)

disable_topmost

Standardmäßig ist die Taskleiste immer im Vordergrund. Diese Option erlaubt es, dieses Verhalten zu deaktivieren.

0 - Immer im Vordergrund (Standard)

1 - Nicht immer im Vordergrund, jedoch nicht von maximierten Fenstern überdeckt

2 - Nicht immer im Vordergrund, und von maximierten Fenstern überdeckt

disable_tray_icons_drag

Diese Option deaktiviert die Ziehen-Operation für Elemente im Infobereich. Ein Umsortieren der Elemente ist nicht länger möglich.

0 - Deaktiviert (Standard)

1 - Aktiviert

drag_towards_desktop

Standardmäßig, wenn ein Taskleisten-Element in Richtung Desktop gezogen wird, erscheint die Sprungliste. Diese Option erlaubt die Auswahl einer alternativen Funktionalität.

0 – Sprungliste (Standard)

1 – Deaktiviert

2 – Wechseln zu

3 – Minimieren

4 – Schließen

5 – Neue Instanz öffnen

6 – Miniaturansicht zeigen

fix_hang_reposition

Aufgrund eines Bugs in Windows kann es passieren, dass der Taskleisten-Button eines nicht-reagierenden Fensters verschwindet und am Ende der Taskleiste wieder auftaucht, wenn das Fenster wieder reagiert. Diese Option behebt den Bug.

0 - Deaktiviert

1 - Aktiviert (Standard)

list_reverse_order

Wenn die Option für das Überfahren mit dem Mauszeiger auf Liste gesetzt ist, werden neuere Elemente unter den älteren angezeigt. Mit dieser Option kann die Anzeigereihenfolge der Elemente in der Liste umgekehrt werden.

Die Option funktioniert nur unter Windows 7, Windows 8 und Windows 8.1.

0 - Deaktiviert (Standard)

1 - Aktiviert

multipage_wheel_scroll

Wenn die Taskleiste mit Elementen überfüllt ist, erstellt sie zusätzliche Seiten und zeigt einen Scrollbalken.

Diese Option erlaubt das Wechseln zwischen verschiedenen Seiten durch Scrollen mit dem Mausrad.

0 - Deaktiviert (Standard)

1 - Aktiviert

multirow_equal_width

Bei Verwendung einer Taskleiste mit mehreren Reihen erzwingt diese Option für die Elemente jeder Reihe dieselbe Breite. Beachten Sie, dass diese Option keine Auswirkung hat, wenn gruppierte, kombinierte oder angeheftete Elemente auf der Taskleiste sind.

0 - Deaktiviert (Standard)

1 - Aktiviert

no_start_btn_spacing

Wenn die Option "Start"-Button verbergen aktiviert ist,

erlaubt diese Option den Abstand zwischen der Kante der Taskleiste und den Elementen zu bestimmen.

Standardabstand:

13 Pixel in Windows 7 und Windows 8.1

0 Pixel in Windows 10

0 - Deaktiviert (Standard)

Zahl-größer-Null - Der Abstand in Pixeln

no_width_limit

Standardmäßig begrenzt Windows die minimale Breite der vertikalen Taskleiste. Diese Begrenzung mag einigen zu restriktiv erscheinen, sodass diese Option sie entfernt.

0 - Deaktiviert (Standard)

1 - Aktiviert

nocheck_minimize

nocheck_maximize

nocheck_close

Wenn ein Fenster minimiert (> minimize) / maximiert (> maximize) / geschlossen (> close) werden soll, prüft der Tweaker bevor er die entsprechende Aktion durchführt, ob das Fenster diese Aktion unterstützt. Die Prüfung wird durch diese Option deaktiviert.

Achtung, dies kann zu unerwartetem Verhalten führen.

Wird verwendet in: Mittelklick-Optionen, Mausrad-Minimierungs-Optionen, Taskleisten-Inspektor.

0 - Deaktiviert (Standard)

1 - Aktiviert

pinned_ungrouped_animate_launch

Wenn die Option Gruppieren: Nicht bei angehefteten Elementen aktiviert ist, werden die Animationen beim Klicken auf ein angeheftetes Element deaktiviert. Diese Option verhindert diese Deaktivierung.

0 - Deaktiviert (Standard)

1 - Aktiviert

right_drag_toggle_labels

Fügt ein zusätzliches Feature zur Option Verschieben innerhalb Gruppe/n mit rechter Maustaste aktivieren hinzu. Wenn aktiviert, wird beim Scrollen mit dem Mausrad während die rechte Maustaste gehalten wird die Beschriftung der Anwendungs-ID für mit dem Mauszeiger überfahrene Elemente angezeigt/verborgen.

0 - Deaktiviert (Standard)

1 - Aktiviert

scroll_maximize_restore

Erweitert die Minimieren/Wiederherstellen beim Zeigen mit dem Mauszeiger auf die... Option, um zwischen minimieren/wiederherstellen/maximieren zu wechseln.

0 - Deaktiviert (Standard)

1 - Aktiviert

scroll_no_wrap

Disables the wrapping around behavior for the cycle between taskbar buttons option.

By default, if the last taskbar button is the active button, cycling further will activate the first button again. This option allows to disable this behavior, so that cycling will stop on the last taskbar button.

0 - Disabled (default)

1 - Enabled

scroll_reverse_cycle

Vertauscht die Bewegungsrichtung des Mausrads für die „ Zwischen Fenstern wechseln “-Option.
Standardmäßig führt ein Scrollen nach unten zum Wechseln zu einem Fenster rechts in der Taskleiste. Das Scrollen nach oben führt zum Wechseln zu einem Fenster links in der Taskleiste.
Diese Option vertauscht die Scroll-Richtung.

0 - Deaktiviert (Standard)

1 - Aktiviert

scroll_reverse_minimize

Vertauscht die Bewegungsrichtung des Mausrads für die „ Minimieren/Wiederherstellen beim Zeigen mit dem Mauszeiger auf die… “-Option.
Standardmäßig wird das Fenster minimiert, wenn nach unten gescrollt wird und wiederhergestellt, wenn nach oben gescrollt wird (es sei denn, die Taskleiste ist oben angebracht).
Diese Option vertauscht die Scroll-Richtung.

0 - Deaktiviert (Standard)

1 - Aktiviert

show_desktop_button_size

Mit dieser Option können Sie die Breite des “Desktop anzeigen“-Buttons anpassen.

Standardbreite:

15 Pixel in Windows 7 und Windows 8

8 Pixel in Windows 8.1

5 Pixel in Windows 10

0 – Deaktiviert (Standard)

Zahl-größer-Null – Die Button-Breite in Pixeln

show_desktop_on_hover

Durch diese Option wird der Desktop gezeigt, wenn eine Datei über den Freiraum der Taskleiste gezogen wird, ähnlich, wie es auch beim "Desktop anzeigen"-Button funktioniert. Diese Funktionalität ist ähnlich der unter Windows XP.

0 - Deaktiviert (Standard)

1 - Aktiviert

sndvol_tooltip

Die Option zum Regeln der Systemlautstärke verwendet die Läustärkeregelung von Windows als Indikator. Durch diese Option wird stattdessen ein Tooltip verwendet.

0 - Deaktiviert (Standard)

1 - Aktiviert

tray_clock_fix_width

Auch wenn das Datum bei der Uhr im Infobereich nicht angezeigt wird (wenn kleine Symbole verwendet werden), wird die Breite aufgrund der Breiten von Zeit und Datum berechnet.
Diese Option behebt das Problem, sodass die Breite des Datums nicht mit eingerechnet wird, wenn nur die Uhrzeit angezeigt wird.

The bug was officially fixed in Windows 10 Anniversary Update.

0 - Deaktiviert (Standard)

1 - Aktiviert

tray_icons_padding

Erlaubt die Anpassung des horizontalen Abstands zwischen Symbolen im Infobereich

Until Windows 10: The default horizontal padding is 8 pixels. The option allows to set a different padding size, in pixels.

Note: in early versions of Windows (e.g. Windows XP), the padding was equal to 2 pixels.

Since Windows 10: The option allows to increase the default horizontal padding size between icons, using an internal padding calculation algorithm.

0 - Deaktiviert (Standard)

Zahl-größer-Null - Der horizontale Abstand

virtual_desktop_order_fix

Windows 10 introduces the virtual desktops feature, but it has a limitation: custom reordering of the taskbar buttons on the task list is not preserved between virtual desktop switches. This option causes explorer to preserve the custom order.

0 - Disabled (default)

1 - Enabled

w10_large_icons

Bei der Verwendung von großen Symbolen war deren Größe in früheren Windows Versionen 32x32 Pixel. In Windows 10 ist deren Standardgröße 24x24 Pixel. Mit dieser Option wird die Symbolgröße wieder auf 32x32 Pixel gesetzt.

0 - Deaktiviert (Standard)

1 - Aktiviert

w7_show_desktop_classic_corner

Behebt einen Bug von Windows 7: Wird das klassische Design verwendet, führt ein Klicken in die Bildschirmecke, in der sich der "Desktop anzeigen"-Button befindet, nicht zum Aktivieren des Buttons.

0 - Deaktiviert (Standard)

1 - Aktiviert

w7_tasklist_htclient

Standardmäßig reagiert die Taskleiste in Windows 7, als sei sie beweglich, auch wenn sie fixiert ist. Dies führt dazu, dass auf Linksklicke nicht reagiert wird und somit keine Anpassung mit Hilfe der Optionen der „ Maustasten-Kontrolle “ vorgenommen werden können.
Diese Option führt dazu, dass die Taskleiste sich wie eine fixierte verhält und somit auch auf Linksklick reagiert.
Hinweis: Windows 8 verhält sich richtig, sodass diese Option keine Auswirkung hat.

0 - Deaktiviert (Standard)

1 - Aktiviert


Maustasten-Kontrolle

Erweiterte Optionen ››

Durch die Maustasten-Kontrolle können verschiedenen Mausklick-Ereignissen Aktionen zugeordnet werden, die auf der Taskleiste ausgeführt werden sollen.

Bitte beachten Sie, dass diese Optionen eine höhere Priorität als Standard-Optionen haben.

Schlüsselname

Der Schlüsselname definiert das Zielelement, den Mausklick-Typ und die Modus-Tasten.

Zielelement

Zurzeit werden folgende unterstützt:

  • taskbaritem - Taskleisten-Element.
  • emptyspace - Taskleisten-Freiraum.
  • volumeicon - the volume/speakers notification icon.
  • showdesktop - the "Show desktop" button.

Mausklick-Typ

Verwenden können Sie einen der folgenden:

  • lclick - Klick mit der linken Maustaste.
  • ldblclick - Doppelklick mit der linken Maustaste.
  • rclick - Klick mit der rechten Maustaste.
  • rdblclick - Doppelklick mit der rechten Maustaste.
  • mclick - Klick mit der mittleren Maustaste.
  • mdblclick - Doppelklick mit der mittleren Maustaste.
  • x1click - Klick mit der ersten Xten-Taste (Taste 4).
  • x1dblclick - Doppelklick mit der ersten Xten-Taste (Taste 4).
  • x2click - Klick mit der zweiten Xten-Taste (Taste 5).
  • x2dblclick - Doppelklick mit der zweiten Xten-Taste (Taste 5).

Die Xten-Tasten (Taste 4 und Taste 5) beziehen sich auf 5-Tasten-Mäuse.

Modus-Tasten

Verwenden Sie mindestens eine der folgenden Modus-Tasten:

  • ctrl - Strg-Taste
  • shift - Umschalttaste

Zwischenergebnis

Die Elemente werden wie folgt zusammengefügt:

Zielelement|Mausklick-Typ+Modus-Taste1+Modus-Taste2

Zum Beispiel:

  • taskbaritem|ctrl+shift+lclick - ein Linksklick auf ein Taskleisten-Element, wenn die Strg- und die Umschalttaste gedrückt sind.
  • emptyspace|x1dblclick - ein Doppelklick mit Taste 4 der Maus auf den Taskleisten-Freiraum.

Schlüsselwert

Der Wert des Schlüssels gibt an, welche Aktion ausgeführt werden soll, wenn das angegebene Mausklick-Ereignis auftritt.

Die Bedeutung des Wertes hängt vom Zielelement ab:

taskbaritem (Taskleisten-Element)

  • 1 - Anzeigen
  • 2 - Minimieren
  • 3 - Schließen
  • 4 - Neue Instanz öffnen
  • 5 - Sprungliste
  • 6 - Standard-Fenstermenü
  • 7 - Miniaturansicht zeigen
  • 8 - Prozess beenden
  • 9 - Minimieren aller Gruppen-Elemente
  • 10 - Schließen aller Gruppen-Elemente
  • 11 - Maximieren aller Gruppen-Elemente
  • 12 - Wiederherstellen aller Gruppen-Elemente
  • 13 - Maximieren
  • 14 - Wiederherstellen
  • 15 - Alphabetically sort group items

emptyspace (Taskleisten-Freiraum)

volumeicon

showdesktop

  • 1 - Desktop anzeigen
  • 2 - Strg + Alt + Tab
  • 3 - Task-Manager
  • 4 - Taskleisten-Inspektor
  • 5 - Umschalten der Stummschaltung der Systemlautstärke
  • 6 - Auto-Taskleistenausblendung umschalten
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Startmenü/Startbildschirm
  • 101 - Wechselt zum Fenster, dass sich links neben dem aktiven Fenster auf der Taskleiste befindet
  • 102 - Wechselt zum Fenster, dass sich rechts neben dem aktiven Fenster auf der Taskleiste befindet
  • 103 - Gleich wie 101, nur werden minimierte Fenster übersprungen
  • 104 - Gleich wie 102, nur werden minimierte Fenster übersprungen

Beispiele

  • taskbaritem|ctrl+shift+lclick - 3 - ein Linksklick auf einen Taskleisten-Button, wenn die Strg- und die Umschalttaste gedrückt sind, schließt das Fenster.
  • emptyspace|x1dblclick - 1 - ein Doppelklick mit Taste 4 der Maus auf den Taskleisten-Freiraum, führt zum Anzeigen des Desktops.


Tastaturkürzel

Erweiterte Optionen ››

Hier können Sie verschiedenen Tastaturkürzeln Aktionen zuordnen, die auf der Taskleiste ausgeführt werden sollen.

Schlüsselname

Der Schlüsselname definiert die Tastenkombination inklusive der Modus-Tasten.

Kürzeltaste
Die Taste wird durch einen virtuellen Schlüssel-Code dargestellt.
Es kann eine Dezimal- oder Hexadezimalzahl sein, wobei Hexadezimalzahlen mit der Vorsilbe „0x“ eingegeben werden müssen.
Die komplette Liste der virtuellen Schlüssel-Codes kann auf der Webseite von Microsoft eingesehen werden.

Modus-Tasten

Verwenden Sie mindestens eine der folgenden Modus-Tasten:

  • alt - Alt-Taste
  • ctrl - Strg-Taste
  • shift - Umschalttaste
  • win - Windowstaste
  • norepeat – Verhindert, dass das System die Aktion mehrmals startet, wenn die Tastenkombination gedrückt gehalten wird.

Zwischenergebnis

Die Elemente werden wie folgt zusammengefügt:

Kürzeltaste|Modus-Taste1+Modus-Taste2

Zum Beispiel:

  • 0x27|ctrl+shift – Strg + Umschalttaste + Pfeil-Nach-Rechts.
  • 65|ctrl+alt+norepeat – Strg + Alt + A. Wird nur einmal aktiviert, auch wenn die Tastenkombination für längere Zeit gedrückt wird.

Schlüsselwert

Der Wert des Schlüssels gibt an, welche Aktion ausgeführt werden soll, wenn die Tastenkombination gedrückt wird.

  • 1 - Desktop anzeigen
  • 2 - Strg + Alt + Tab
  • 3 - Task-Manager
  • 4 - Taskleisten-Inspektor
  • 5 - Umschalten der Stummschaltung der Systemlautstärke
  • 6 - Auto-Taskleistenausblendung umschalten
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Startmenü/Startbildschirm
  • 101 - Wechselt zum Fenster, dass sich links neben dem aktiven Fenster auf der Taskleiste befindet
  • 102 - Wechselt zum Fenster, dass sich rechts neben dem aktiven Fenster auf der Taskleiste befindet
  • 103 - Gleich wie 101, nur werden minimierte Fenster übersprungen
  • 104 - Gleich wie 102, nur werden minimierte Fenster übersprungen

Beispiele

  • 0x25|ctrl+shift - 103 – Mit Strg + Umschalttaste + Pfeil-Nach-Links wird nach links durch die Fenster auf der Taskleiste gewechselt, wobei minimierte übersprungen werden.
  • 0x27|ctrl+shift - 104 – Mit Strg + Umschalttaste + Pfeil-Nach-Rechts wird nach rechts durch die Fenster auf der Taskleiste gewechselt, wobei minimierte übersprungen werden.
  • 65|ctrl+alt+norepeat - 4 – Mit Strg + Alt + A wird der Taskleisten-Inspektor geöffnet. Selbst wenn die Tastenkombination länger gedrückt bleibt, wird die Aktion nur einmal durchgeführt.